// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import store from './store'
import pc from './pc'
import mobile from './mobile'
import Print from '@/utils/print'
Vue.use(Print)
Vue.config.productionTip = false
let isMobile = GET_IS_MOBILE()
let App = isMobile ? mobile.App : pc.App
let router = isMobile ? mobile.router : pc.router
isMobile ? Vue.use(mobile) : Vue.use(pc)
const APP = new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
export default APP

